#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, m;
    scanf("%d %d", &n, &m);
    int i, j, br=0;
    int x[100][100];
    for(i=0; i<m; i++)
    {
        scanf("%d %d %d", &x[i][0], &x[i][1], &x[i][2]);
    }
    int u, v;
    scanf("%d %d", &u, &v);
    int pom=u;
    for(i=0; i<m; i++)
    {
        if(x[i][0]!=pom)
        {
            continue;
        }
        else
        {
            br+=x[i][2];
            if(pom==v)
            {
                break;
            }
            else
            {
                br+=x[i][2];
                pom=x[i][1];
            }
        }
    }
    printf("%d", br);

}